

<section id="course-info-container" class="course-info-container" *ngIf="courseData$ | async as courseData">
  <div class="course-info-container-box">
    <div>
      <div class="title">{{ courseData.title}}</div>
      <div class="course-info">
        <div class="course-info__description">
          <h2>Description:</h2>
          {{ courseData.description }}
        </div>
        <div class="course-info__info">
          <div><b>ID: </b><span class="course-info__info-id">{{ courseData.id }}</span></div>
          <div><b>Duration: </b><span class="course-info__info-duration">{{ courseData.duration | duration }}</span></div>
          <div><b>Created: </b><span class="course-info__info-date">{{ courseData.creationDate  }}</span></div>
          <div><b>Authors: </b><span *ngFor="let author of courseData.authors" class="course-info__info-authors">{{ author.name }}, </span></div>
        </div>
      </div>
      <div class="navigation-block">
        <app-button (click)="onClose()" [button-text]="'Back'"></app-button>
      </div>
    </div>
  </div>
</section>
